<app-page-header headerTitle="Add Country">
    <app-button text="Back" (onClick)="goToList()"> </app-button>
</app-page-header>
<app-card>
 <form [formGroup]="countryForm">
      <div class="row">

          <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="countryName" class="form-label">Country Name<span class="text-danger">*</span></label>
                  <input type="text" class="form-control" formControlName="countryName">
                  <div *ngIf="submit  &&  g['countryName'].errors" class="alert-error">
                      <div *ngIf="submit && g['countryName'].errors['required']" class="alert-error">
                          Country Name is required
                      </div>
                  </div>
              </div>
            </div>
            <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="isoCode" class="form-label">ISO Code</label>
                  <input type="text" class="form-control" formControlName="isoCode">
                  <!-- <div *ngIf="submit  &&  g.isoCode.errors" class="alert-error">
                      <div *ngIf="submit && g.isoCode.errors.required" class="alert-error">
                          ISO Code is required
                      </div>
                  </div> -->
              </div>
            </div>
            <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="isdCode" class="form-label">ISD Code</label>
                  <input type="text" class="form-control" formControlName="isdCode">
                  <!-- <div *ngIf="submit  &&  g.isdCode.errors" class="alert-error">
                      <div *ngIf="submit && g.isdCode.errors.required" class="alert-error">
                          ISD Code is required
                      </div>
                  </div> -->
              </div>
            </div>
            <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
              <app-switch label="Status" *ngIf="Id" formControlName="isActive">
              </app-switch>
              </div>



          </div>
      </div>
  </form>
</app-card>
  <div class="text-end my-4 mx-2">
    <app-button text="Submit" *ngIf="!Id" (onClick)="onSubmit($event)">
    </app-button>

    <app-button text="Update" *ngIf="Id" (onClick)="onSubmit($event)">
    </app-button>

    <app-button text="Cancel" color="secondary" (onClick)="goToList()">
    </app-button>
  </div>
